#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: crypto-pubkey
version: 0.2.4
id: crypto-pubkey-0.2.4-61c6dafdd608f1b4a78201fdf65ce258

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-crypto-pubkey
package-url:
synopsis: Public Key cryptography
description: Public Key cryptography
             .
             Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
             .
             Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15
                 Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
                 Crypto.PubKey.DSA Crypto.PubKey.DH Crypto.PubKey.HashDescr
                 Crypto.PubKey.MaskGenFunction Crypto.PubKey.ECC.Generate
                 Crypto.PubKey.ECC.Prim Crypto.PubKey.ECC.ECDSA
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/crypto-pubkey-0.2.4
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/crypto-pubkey-0.2.4
              /usr/local/lib
hs-libraries: HScrypto-pubkey-0.2.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         byteable-0.1.1-6b40a7289955d8e210621adb5e9b0b58
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         crypto-numbers-0.2.3-edfcaee600ea37f6950520f92b20f5c1
         crypto-pubkey-types-0.4.2.2-3e04aa94e585dc65e377762575a58fcc
         crypto-random-0.0.7-9d482a8326c9b6b7169a0bbfeaadf863
         cryptohash-0.11.6-dac723f4aeefdcecd73ff6c9ae8544aa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/crypto-pubkey-0.2.4/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/crypto-pubkey-0.2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
